<?php
namespace FM\Factory;

use Doctrine\ORM\EntityManager;

class LoginFactory
{
    
    protected $connection;
    
    public function __construct(EntityManager $entityManager) {
        
        $this->connection = $entityManager->getConnection();
    }

    public function validaLogin($param) {
      $sql = "select NRFUNCIONARIO from FCM_FUNCIONARIO 
               where DSEMAILFUNCIONARIO = :DSEMAILFUNCIONARIO
                 and DSSENHAFUNC = :DSSENHAFUNC";
      $std = $this->connection->prepare($sql);
      $std->execute($param);
      return $std->fetchAll();
  }
}